%define aprincludes	%(%{_bindir}/apr-1-config --includes 2>/dev/null)
%define aplogdir	logs

Name:		apache-mod_jk
Version:	1.2.37
%define subrel	2
Release:	%mkrel 6
Epoch:		0
Summary:	Tomcat mod_jk connector for Apache
License:	Apache License
Group:		Development/Java
URL:		http://tomcat.apache.org/
Source0:	http://www.apache.org/dist/tomcat/tomcat-connectors/jk/tomcat-connectors-%{version}-src.tar.gz
Source1:	http://www.apache.org/dist/tomcat/tomcat-connectors/jk/tomcat-connectors-%{version}-src.tar.gz.asc
Patch0:		tomcat-connectors-1.2.30-mod_jk.conf-use-separate-cache-dir.patch
Patch1:		tomcat-connectors-1.2.30-workers.properties-only-use-default-system-tomcat-node.patch
Patch2:		CVE-2014-8111.patch
BuildRequires:	ant
BuildRequires:	apache-devel
BuildRequires:	java-devel
BuildRequires:	libtool
BuildRequires:	xalan-j2
Obsoletes:	mod_jk < %{epoch}:%{version}-%{release}
Provides:	mod_jk = %{epoch}:%{version}-%{release}
Obsoletes:	tomcat-mod < %{epoch}:%{version}-%{release}

%description
mod_jk allows Apache to serve as a front-end for Tomcat, GlassFish or any other
AJP1.3-enabled application server, with optional load-balancing.

%package	manual
Summary:	Tomcat mod_jk connector manual
Group:		Development/Java

%description	manual
Tomcat mod_jk connector manual.

%package	tools
Group:		Development/Java
Summary:	Analysis and report tools for mod_jk

%description	tools
Miscellaneous mod_jk analysis and report tools.

%prep
%setup -q -n tomcat-connectors-%{version}-src
%patch0 -p1 -b .cache_dir~
%patch1 -p1 -b .multi_nodes
%patch2 -p1 -b .CVE-2014-8111

(cd native && %{__libtoolize} --copy --force)

%{__perl} -pi -e 's|/usr/local/bin\b|%{_bindir}|' tools/reports/*.pl
%{__perl} -pi -e 's|^(APXSCPPFLAGS=.*)$|$1 %{aprincludes}|' \
  native/common/Makefile.in

%build
cd native

%{configure2_5x} \
  --with-apxs=%{_httpd_apxs} \
  --with-java-home=%{java_home} \
  --with-java-platform=2 \
  --enable-jni

# See <http://marc.theaimsgroup.com/?l=tomcat-dev&m=105600821630990>
export LIBTOOL=`%{_httpd_apxs} -q LIBTOOL 2>/dev/null`
# Handle old apxs (without -q LIBTOOL), eg Red Hat 8.0 and 9.
if test -z "$LIBTOOL"; then
  LIBTOOL=%{__libtool}
fi
%{make} \
  LIBTOOL="$LIBTOOL" \
  EXTRA_CFLAGS="%{optflags}" \
  EXTRA_CPPFLAGS="%{aprincludes}"
cd ..

cd xdocs ; CLASSPATH=$(%{_bindir}/build-classpath xalan-j2-serializer) %{ant} ; cd ..

%install
rm -rf %{buildroot}

%{__install} -D -m 755 native/apache-2.0/mod_jk.so %{buildroot}%{_httpd_moddir}/mod_jk.so
%{__install} -D -m 644 conf/workers.properties -D %{buildroot}%{_httpd_confdir}/workers.properties
%{__install} -D -m 644 conf/httpd-jk.conf -D %{buildroot}%{_httpd_modconfdir}/10_mod_jk.conf

%{__install} -d -m 755 %{buildroot}%{_bindir}
%{__install} -m 755 tools/reports/*.pl %{buildroot}%{_bindir}

%{__install} -d %{buildroot}/var/cache/httpd/mod_jk
touch %{buildroot}/var/cache/httpd/mod_jk/mod_jk.shm

%files
%doc LICENSE NOTICE conf/workers.properties.multi_nodes conf/workers.properties.minimal
%doc native/BUILDING.txt native/README.txt native/STATUS.txt native/TODO.txt
%config(noreplace) %{_httpd_modconfdir}/10_mod_jk.conf
%config(noreplace) %{_httpd_confdir}/workers.properties
%{_httpd_moddir}/mod_jk.so
%attr(0700,apache,root) %dir /var/cache/httpd/mod_jk
%attr(0600,apache,root) %ghost /var/cache/httpd/mod_jk/mod_jk.shm

%files manual
%doc build/docs/*

%files tools
%doc tools/reports/README.txt
%{_bindir}/*


%changelog
* Fri Jun 19 2015 luigiwalser <luigiwalser> 0:1.2.37-6.2.mga4
+ Revision: 835751
- fix config to load from modules instead of extramodules

  + daviddavid <daviddavid>
    - add patch from Debian to fix CVE-2014-8111 (mga#16078)

* Sat Oct 19 2013 umeabot <umeabot> 0:1.2.37-6.mga4
+ Revision: 534556
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 dmorgan <dmorgan> 0:1.2.37-5.mga4
+ Revision: 478423
- Remove deprecated ant-trax

* Fri Feb 08 2013 mitya <mitya> 0:1.2.37-4.mga3
+ Revision: 395290
- Fix module location in config file

* Fri Jan 11 2013 umeabot <umeabot> 0:1.2.37-3.mga3
+ Revision: 345860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 11 2012 guillomovitch <guillomovitch> 0:1.2.37-2.mga3
+ Revision: 280783
- adapt to new apache setup

* Sat Jul 07 2012 mitya <mitya> 0:1.2.37-1.mga3
+ Revision: 268737
- New version 1.2.37

* Sat May 12 2012 mitya <mitya> 0:1.2.35-1.mga2
+ Revision: 235489
- Import version 1.2.35
- Created package structure for apache-mod_jk.

